#
# spec file for package python-potr
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-potr
Version:        1.0.1
Release:        1.6
Summary:        Off-The-Record Protocol Implementation in Python3
License:        LGPL-3.0+
Group:          Development/Languages/Python3
Url:            https://pypi.python.org/pypi/python-potr
Source:         https://pypi.python.org/packages/source/p/python-potr/python-potr-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
Requires:       python3-pycrypto
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a pure Python OTR implementation for python3; it does not bind to libotr.

%prep
%setup -q -n python-potr-%{version}
sed -i 's/\r$//' CHANGELOG LICENSE

%build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE
%{python3_sitelib}/*

%changelog
* Fri Jul  1 2016 wnereiz@eienteiland.org
- Init package
